Unreconciled layers, again and
Greetings All,I keep getting an 'unreconcilled layers' notices prior to printing. I know how to reconcile the layers but it seems that every time I open a drawing where I have already reconcilled the layers, they need reconciling again. Surely I should only have to reconcile the layers once and then the problem should go away but I am finding that this is not the case. I am using xrefs in Acad2008.
Many thanks.
BB. Try adding LAYEREVAL, LAYEREVALCTL and/or LAYERNOTIFY to your acad.lsp file, and ensuring their values are all set to 0 (zero) You can open layer properties manger then click on settings. (Probaly somewhere on the lower left side of the pane)
Then uncheck the 'New Layer Notification' at the top. I cannot take credit for the whole code but just the modification. this will create a script to batch reconcile unreconciled layers
;; reconcile all unreconciled layers
(defun c:reclayers
(/ UserFile UserCat FileList File#1 DwgName FileName)
(vl-load-com)
(setq UserFile
(getfiled "Select a drawing within the directory to process"
"j:/"
"dwg"
16
)
)
(setq UserCat (vl-filename-directory UserFile))
(setq FileList (vl-directory-files UserCat "*.dwg" 1))
(setq File#1 (open "c:/program files/cpmelec/scripts/reclayers.scr" "w"))
;; open/make a scriptfile to write to
(foreach DwgName FileList
(setq FileName (strcat "\"" UserCat "\\" DwgName "\""))
(princ "open\n" File#1)
(princ (strcat FileName "\n") File#1)
;;Below are commands to run on each drawing...
(princ "-LAYER E *\n" File#1)
(princ "\n" File#1)
(princ "_.qsave\n" File#1)
(princ "_.close\n" File#1)
)
(close File#1)
)
(princ "\nreclayers loaded.")
(princ "\nType reclayers to run") forgot one thing, change this line to where you want your script file located and.or change name of script file
(setq File#1 (open "c:/program files/cpmelec/scripts/reclayers.scr" "w"))
页:
[1]